petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatColoringWeightType

Type of weight scheme

### Synopsis

    typedef enum {MAT_COLORING_WEIGHT_RANDOM,MAT_COLORING_WEIGHT_LEXICAL,MAT_COLORING_WEIGHT_LF,MAT_COLORING_WEIGHT_SL} MatColoringWeightType;

Not Collective Many br

| MAT_COLORING_RANDOM | - Random weights Many br
| MAT_COLORING_LEXICAL | - Lexical weighting based upon global numbering. Many br
| MAT_COLORING_LF | - Last-first weighting. Many br

Many br

Any additions/changes here MUST also be made in include/petsc/finclude/petscmat.h Many br

### See Also

MatCUSPSetFormat(), MatCUSPFormatOperation

Level:intermediate
Location:src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages